package com.zd.forward.serivce;

import com.zd.common.core.domain.R;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 视频源:算法结果解析 发现视频和图片的判断一样 嘿嘿 那就不用这玩意了
 * 算了还是用吧 ，不然还得处理注入的问题
 * @Author: zhoupan
 * @Date: 2021/11/14/12:54
 * @Description:
 */
@Component
public class VideoCheckResultValidImpl implements VideoCheckResultValid{

    @Override
    public R apply(Map<String, Object> map, Long subId) {
        try {
            Map<String, Object>  algorithm_data = (Map<String, Object>)map.get("algorithm_data");
            Boolean is_alert = (Boolean)algorithm_data.get("is_alert");
            //是不是先要判断人数？？？？？？target_count
            if(is_alert) return R.fail(300,"检查不通过！");
            //判断是否是多个目标等 返回详细失败结果
            return R.ok();
        } catch (Exception e) {
            return R.fail("结果解析错误！");
        }
    }
}
